@import url('https://fonts.googleapis.com/css?family=Press+Start+2P');
@import url('https://fonts.googleapis.com/css?family=Space+Grotesk');
@import url('https://fonts.googleapis.com/css?family=Audiowide');
@import url('https://fonts.googleapis.com/css?family=Heebo');
@import url('https://fonts.googleapis.com/css?family=Bungee');
@import url('https://fonts.googleapis.com/css?family=Londrina+Solid');
@import url('https://fonts.googleapis.com/css?family=Tilt+Warp');
:root   {
    /* variable block */
    --wedge_purple:     102,45,145;
    --wedge_green:      0,85,44;
    --main_bg_color:    #ffffff;

    --banner_font:      "Space Grotesk";
    --banner_font_size: 18px;

    --top_links_font:        "Tilt Warp";
    --top_links_font_size:   18px;
}

/* mobile settings */
@media only screen and (max-width: 480px)   {
    #main_container { width: 100%; }
    .banner         { width: 100%; }
    #top_links      { width: 100%; }
    #logo_banner    { width: 100%; }
    #ordering_bar   { width: 100%; }
    a               { -webkit-tap-highlight-color: transparent; }

}

/* desktop/tablet settings */
@media only screen and (min-width: 680px)   {
    #main_container { width: 680px; }
    .banner         { width: 680px; }
    #top_links      { width: 680px; }
    #logo_banner    { width: 680px; }
    #ordering_bar   { width: 680px; }
}

body    {
    width: 100%;
    margin: 0px;
    margin-bottom: 50px;
    padding: 0px;
    background-color: rgb(0, 0, 0);
}

#main_container {
    margin: 0 auto;
    display: flex;
    flex-flow: column;
    box-sizing: border-box;
    border-radius: 2px;
    background-color: #FFFFFF;
}

#top_links  {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    box-sizing: border-box;
}

#logo_banner    {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}

#ordering_bar {
    display: flex;
    flex-flow: row;
    justify-content: center;
    position: fixed;
    box-sizing: border-box;
    bottom: 0;
    background-color: rgba(var(--wedge_purple), 1.0);    
}

.top_links_button    {
    margin: 3px;
    width: 150px;
    box-sizing: border-box;
    background-color: rgba(var(--wedge_purple), 0.8);
    padding: 5px;
    border-style: solid;
    border-color: rgba(var(--wedge_green), 0.8);
    border-radius: 4px;
    font-family: var(--top_links_font);
    font-size: var(--top_links_font_size);
    color: #ffffff;
    cursor: pointer;
}

.text_big_green { 
    padding: 5px;
    font-family: "Press Start 2P";
    font-size: 20px;
    font-weight: 800;
    color: rgba(var(--wedge_green), 0.8);
}

.text_directions  {
    padding: 2px;
    font-family: "Space Grotesk";
    font-size: 14px;
    color: #000000;
    font-weight: 900;
}

.text_hours {
    padding: 2px;
    font-family: "Space Grotesk";
    font-size: 12px;
    color: #000000;
    font-weight: 600;  
}
.banner {
    display:none; /*flex*/
    box-sizing: border-box;
    padding: 5px;
    background-color: rgba(var(--wedge_purple), 0.8);

    border-style: solid;
    border-color: rgba(var(--wedge_green), 0.8);
    border-width: 5px;
    border-radius: 2px;

    font-family: var(--banner_font);
    color: #ffffff;
    font-size: var(--banner_font_size);
    text-align: center;
}
.special_banner {
    box-sizing: border-box;
    margin-top: 5px;
    padding: 5px;
    
    border-style: dashed;
    border-color: rgba(var(--wedge_green), 0.8);
    border-width: 2px;

    font-family: var(--banner_font);
    font-size: var(--banner_font_size);
    color: #000000;
}

.ordering_bar_link  {
    display: flex;
    flex-flow: column;
    align-items: center;
    min-width: 100px;
    margin: 5px 15px 5px 15px;
    font-family: "tahoma";
    font-size: 14px;
    color: #FFFFFF;
    text-decoration: none;
    box-shadow: 2px 2px #00331a;
    border-style: solid;
    border-color: rgb(var(--wedge_green));
    padding: 5px;
}

.ordering_bar_link:active  {
    box-shadow: 2px 2px #00331a inset;
    border-width: 0px 2px 2px 0px;
}

.social_icon    {
    max-width: 30px;
    max-height: 30px;
}

